OpenTTD Source: src/os/windows/win32.h File Reference

OpenTTD Source 12.2

Data Structures | Functions
win32.h File Reference
`#include <windows.h>`

Go to the source code of this file.

## Data Structures
class | DllLoader
class | DllLoader::ProcAddress

## Functions
bool | MyShowCursor (bool show, bool toggle=false)
char * | convert_from_fs (const wchar_t *name, char *utf8_buf, size_t buflen)
| Convert to OpenTTD's encoding from that of the environment in UNICODE. More...
wchar_t * | convert_to_fs (const char *name, wchar_t *utf16_buf, size_t buflen)
| Convert from OpenTTD's encoding to that of the environment in UNICODE. More...
void | Win32SetCurrentLocaleName (const char *iso_code)
int | OTTDStringCompare (const char *s1, const char *s2)

## Detailed Description

declarations of functions for MS windows systems

Definition in file win32.h.

## Function Documentation

## ◆ convert_from_fs()

char* convert_from_fs | ( | const wchar_t * | name,
|  | char * | utf8_buf,
|  | size_t | buflen
| ) |  |

Convert to OpenTTD's encoding from that of the environment in UNICODE.

OpenTTD encoding is UTF8, local is wide.

Parameters

  name | pointer to a valid string that will be converted
  utf8_buf | pointer to a valid buffer that will receive the converted string
  buflen | length in characters of the receiving buffer

Returns
  pointer to utf8_buf. If conversion fails the string is of zero-length

Definition at line 580 of file win32.cpp.

Referenced by HandleIMEComposition().

## ◆ convert_to_fs()

wchar_t* convert_to_fs | ( | const char * | name,
|  | wchar_t * | system_buf,
|  | size_t | buflen
| ) |  |

Convert from OpenTTD's encoding to that of the environment in UNICODE.

OpenTTD encoding is UTF8, local is wide.

Parameters

  name | pointer to a valid string that will be converted
  system_buf | pointer to a valid wide-char buffer that will receive the converted string
  buflen | length in wide characters of the receiving buffer
  console_cp | convert to the console encoding instead of the normal system encoding.

Returns
  pointer to system_buf. If conversion fails the string is of zero-length

Definition at line 600 of file win32.cpp.

Referenced by HelpDialogFunc(), and HFontFromFont().